## org.emboss.jemboss.programs
Class JembossProcess

    java.lang.Object
      |
      +--org.emboss.jemboss.programs.JembossProcess

public class JembossProcess
extends java.lang.Object

Constructor Summary
`JembossProcess(java.lang.String jobid)`
`JembossProcess(java.lang.String project, java.lang.String jobid)`
`JembossProcess(java.lang.String project, java.lang.String jobid, java.lang.String description)`

Method Summary
`void` `complete()`
`java.lang.String` `getDescription()`
`java.lang.String` `getJob()`
`java.lang.String` `getProject()`
`java.util.Hashtable` `getResults()`
`boolean` `hasResults()`
`boolean` `isCompleted()`
`boolean` `isRunning()`
`void` `setDescription(java.lang.String s)`
`void` `setResults(java.util.Hashtable newres)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JembossProcess

    public JembossProcess(java.lang.String project,
                          java.lang.String jobid,
                          java.lang.String description)

### JembossProcess

    public JembossProcess(java.lang.String project,
                          java.lang.String jobid)

### JembossProcess

    public JembossProcess(java.lang.String jobid)

Method Detail

### isCompleted

    public boolean isCompleted()

### isRunning

    public boolean isRunning()

### hasResults

    public boolean hasResults()

### getProject

    public java.lang.String getProject()

### getJob

    public java.lang.String getJob()

### getDescription

    public java.lang.String getDescription()

### complete

    public void complete()

### setDescription

    public void setDescription(java.lang.String s)

### setResults

    public void setResults(java.util.Hashtable newres)

### getResults

    public java.util.Hashtable getResults()